<?php

namespace Services;

use Util\Utilities;
use Util\InstanceProvider;
use Util\RepositoryInstance;

class FileServer
{
    /** @var |Repositories|FileServer $fileServerRepo */
    private $fileServerRepo;
    
    public function __construct() {
        $this->fileServerRepo = RepositoryInstance::getFileServer();    
    }

    /**
     * @param $APIKey
     * @param $nrOrg
     * @return void
     */
    public function saveAPIKeyInDB($APIKey, $nrOrg) {
        try {
            $savedAPIKey = $this->fileServerRepo->getAPIKey($nrOrg); 
            if( empty($savedAPIKey) ||      
                $savedAPIKey !== $APIKey) { // New key for an Org
                $this->fileServerRepo->saveAPIKey($nrOrg, $APIKey); // Updates API Keys If needed.
            } 
        } catch(\Exception $e) {}
    }
    
    /**
     * @param $nrOrg
     * @return string|null
     */
    public function getAPIKey($nrOrg) {
        try {
            return $this->fileServerRepo->getAPIKey($nrOrg); 
        } catch(\Exception $e) {
            return null;
        }
    }
}